#include "htmlguid.h"
#include "mshtml.h"

#include "ole2.h"
#include "olectl.h"
#include "oleidl.h"

/* IHTMLDocumentImpl */
typedef struct
{
    ICOM_VFIELD(IDispatch);
    ICOM_VTABLE(IHTMLDocument)* lpVtbl_HTMLDocument;
    ICOM_VTABLE(IHTMLDocument2)* lpVtbl_HTMLDocument2;

    DWORD ref;
} HTMLDocumentImpl;


HRESULT html_CreateDocument(IUnknown *pOuter, REFIID riid, LPVOID *ppobj);

